GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::unique_lock< mutex > Class Template Reference

`#include <sync_no_cxx11.h>`

## Public Member Functions
| unique_lock (mutex &mu)
void | lock ()
void | unlock ()
Public Member Functions inherited from grpc::lock_guard< mutex >
| lock_guard (mutex &mu)
| ~lock_guard ()

## Additional Inherited Members
Protected Member Functions inherited from grpc::lock_guard< mutex >
void | lock_internal ()
void | unlock_internal ()

## Constructor & Destructor Documentation

template<class mutex >

grpc::unique_lock< mutex >::unique_lock | ( | mutex & | mu | ) |
| inline

## Member Function Documentation

template<class mutex >

void grpc::unique_lock< mutex >::lock | ( |  | ) |
| inline

template<class mutex >

void grpc::unique_lock< mutex >::unlock | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- include/grpc++/impl/sync_no_cxx11.h